Qt 5.6 | Qt Quick | QML Types | TrailEmitter QML Type

Qt 5.6.3 Reference Documentation

# TrailEmitter QML Type

Emits logical particles from other logical particles More...

Import Statement: | import QtQuick.Particles 2.0

- List of all members, including inherited members

## Properties

- emitHeight : real
- emitRatePerParticle : real
- emitShape : Shape
- emitWidth : real
- follow : string
- velocityFromMovement : qreal

## Signals

- void emitFollowParticles(Array particles, Particle followed)

## Detailed Description

This element emits logical particles into the ParticleSystem, with the starting positions based on those of other logical particles.

## Property Documentation

emitHeight : real

The height in pixels the emitShape is scaled to. If set to TrailEmitter.ParticleSize, the height will be the current size of the particle being followed.

Default is 0.

emitRatePerParticle : real

emitShape : Shape

As the area of a TrailEmitter is the area it follows, a separate shape can be provided to be the shape it emits out of. This shape has width and height specified by emitWidth and emitHeight, and is centered on the followed particle's position.

The default shape is a filled Rectangle.

emitWidth : real

The width in pixels the emitShape is scaled to. If set to TrailEmitter.ParticleSize, the width will be the current size of the particle being followed.

Default is 0.

follow : string

The type of logical particle which this is emitting from.

velocityFromMovement : qreal

If this value is non-zero, then any movement of the emitter will provide additional starting velocity to the particles based on the movement. The additional vector will be the same angle as the emitter's movement, with a magnitude that is the magnitude of the emitters movement multiplied by velocityFromMovement.

Default value is 0.

## Signal Documentation

void emitFollowParticles(Array particles, Particle followed)

This signal is emitted when particles are emitted from the followed particle. particles contains an array of particle objects which can be directly manipulated.

The corresponding handler is `onEmitFollowParticles`. If you use this signal handler, emitParticles will not be emitted.